# ESP8266_dual_NRF24L01_gateway

## What is it ?
It's a dual NRF24L01+ gateway based on the popular ESP8266.
This project is used to receive the data from the weather station presented [here](/git/Th3maz1ng/ATMEGA328PU_lowPower_weather_station/src/branch/master) and future projects as well.

**The app is still under development** but a schematic of the circuit is already available in the **schematic** folder of this repository or [here :-)](/git/Th3maz1ng/ESP8266_dual_nRF24L01_gateway/src/branch/master/schematic/ESP8266_dual_NRF24l01_gateway.pdf).

## Planned feature :
- OTA Firmware Updates with hourly checks or triggered remotely by the user.
- WEB Dashboard to access settings and data.
- Gateway LED status.
- Two NRFs as two receivers to listen on two different channels or one receiver and one sender.

**If you have any questions, do not hesitate to contact me at : bugreport[at]laposte[dot]net**

## Here are some pictures of the receiver's PCB and enclosure :
PCB top view :
![](http://82.64.196.164/images/git/dual_nrf_gw_pcb_top.jpg)

PCB back view :
![](http://82.64.196.164/images/git/dual_nrf_gw_pcb_bottom.jpg)

The PCB in it's box witht the two NRFs :
![](http://82.64.196.164/images/git/dual_nrf_gw_boxed.jpg)
